Bug 583 - FTP installer doesn't handle FTP server timeout
FTP installer doesn't handle FTP server timeout
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
5.2
All Linux
low Severity medium
: ---
: ---
Assigned To: Matt Wilson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1998-12-25 12:30 EST by Jan "Yenya" Kasprzak
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-03-13 16:48:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan "Yenya" Kasprzak 1998-12-25 12:30:24 EST
When I install RedHat from the FTP server, the local FTP
server usually closes the connection because of the client
inactivity between the retrieval of the base/hdlist and the
first package (which appears to be the "setup" RPM). The
problem is that selecting packages individually and then
mke2fs with a bad blocks checking takes too long and FTP
server closes the idle connection. When the "setup" RPM
fails to install, many things fail as well.
Some RPMs install incorrectly (missing users in
/etc/passwd); the "dev" RPM is one of them, LILO setup fails
(maybe missing /etc/fstab) etc.

	I think it would be wise to detect the closed connection
and try to reconnect again, when this happens.

-Yenya
Comment 1 David Lawrence 1998-12-28 12:27:59 EST
This has been verified as a problem. We are working on fixing this for
future releases of Red Hat.
Comment 2 Matt Wilson 1999-01-11 23:13:59 EST
*** Bug 583 has been marked as a duplicate of this bug. ***

I've installed RedHat by ftp quite a bit, and the ftp
install process could be a bit more robust.  If you have
the right ftp site and directory, everything works great.
If you don't, you could be there for a while while you try
to guess what your supposed to have.  A few suggestions:

1) Please make ftp failures more verbose, all too often I
   get kicked back to the host/directory dialog with no
   indication of why.  Even the vt's don't reveal anything.

2) How about having a list of primary mirrors, so you could
   select "install from" and have a list of about 10-20 big
   servers and then have a "specify..." option so you can
   put in a different server or use a uname/pswd.

3) What would really be cool is an interactive dialog, so
   you could log into host and traverse the directory tree
   till you found what you needed.  I understand space is
   at a premium on two floppies though.

4) At the very list, include a text file with known mirrors
   and their directory tree.  The biggest problem here is
   that this would get out of date quickly.

traff
Comment 3 Matt Wilson 1999-01-12 12:17:59 EST
*** Bug 583 has been marked as a duplicate of this bug. ***

The redhat install program has a problem which makes it very
difficult to do FTP installs.  The install sequence is

partition disks
download some files from the FTP site
CHOOSE PACKAGES
FORMAT PARTITIONS
download RPMS

The two steps shown in all-caps together take so much time
that FTP servers will disconnect the computer due to lack of
activity!  One cannot simply bypass the format step because
the install program builds a broken RPM database on the
partition, which causes install to crash on a second install
attempt when it tries to write the RPMs to disk in the last
step.

A workaround is to format two partitions in a first run of
install, with the smaller one assigned to the / mound point.
 This partition gets a corrupted RPM database when install
crashes.  The second formatted partition can be used at the
/ mount point in a second install attempt.  It has no broken
RPM database.  Since the user doesn't have to format the
partition, the FTP server doesn't disconnect the computer
due to inactivity.

This flaw should be very easy to fix.

------- Additional Comments From jturner@redhat.com  01/12/99 12:01 -------
This has been verified and will hopefully be fixed in the next release
of Red Hat.
Comment 4 Matt Wilson 1999-03-13 16:48:59 EST
Should be fixed in next release.

Note You need to log in before you can comment on or make changes to this bug.